Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-45911

Add new tools metapackage to depend on both server and go cli tools

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 4.4.0-rc0, 4.7.0
    • Packaging
    • None
    • Fully Compatible
    • v4.4
    • Dev Platform 2020-04-06

    Description

      With the removal of the go tools from the server build and package per SERVER-44763, it became clear that we will still need to ship a server side tools package for binaries like mongoldap and the compass-installer (see SERVER-45561).

      However, we want our users to still be able to install the same "tools" package that they named before, and get the same contents.

      This will require that we create a metapackage which depends on both the go tools and the renamed server tools package. This metapackage should have the same name as the current tools package.

      Attachments

        Issue Links

          Activity

            People

              andrew.morrow@mongodb.com Andrew Morrow
              andrew.morrow@mongodb.com Andrew Morrow
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: